TAU_GET_FUNC_NAMES(3)

NAME
TAU_GET_FUNC_NAMES - Gets the function names

SYNOPSIS

C/C++:

TAU_GET_FUNC_NAMES(char **functionList, int numFuncs);

DESCRIPTION

This macro fills the funcList argument with the list of timer and routine names. It also records the number of routines active in the numFuncs argument.

EXAMPLE

C/C++ :

  const char ** functionList;
  int numOfFunctions;
  TAU_GET_FUNC_NAMES(functionList, numOfFunctions);
  for(int i=0;i<numOfFunctions;i++){
    cout << "This function names so far are: " << functionList[i] << endl;
  }

SEE ALSO

TAU_GET_COUNTER_NAMES(3), TAU_GET_FUNC_VALS(3), TAU_DUMP_FUNC_NAMES(3), TAU_DUMP_FUNC_VALS(3)